ubuntu16.04版本下安装ROS-Kinetic Kame遇到的问题总结

ubuntu16.04版本下安装ROS-Kinetic Kame遇到的问题总结

问题1:

安装ROS中运行以下指令时出现软件包有未满足的依赖关系的问题:

$ sudo apt-get install ros-kinetic-desktop-full

下列软件包有未满足的依赖关系:
ros-kinetic-desktop-full :
依赖: ros-kinetic-desktop 但是它将不会被安装
依赖: ros-kinetic-perception 但是它将不会被安装
依赖: ros-kinetic-simulators 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。
错误信息**原因:**问题出现的原因是未开启更新,可以在Ubuntu 设置中将更新开启。
解决办法:打开右上角设置—>系统设置—>软件与更新—>更新—>将设置改为如下图所示

在这里插入图片描述

问题2:

初始化 rosdep 时出现错误
错误1:在这里插入图片描述
解决办法:输入以下命令将其已经存在的包删除再运行sudo rosdep init即可

sudo rm /etc/ros/rosdep/sources.list.d/20-default.list
sudo rosdep init

错误2:在这里插入图片描述将错误1解决后再运行下述指令就没再出错了,成功后如下图所示,若此处还有错误可参考最后的博客链接

rosdep update

在这里插入图片描述参考博客:https://blog.csdn.net/mrh1714348719/article/details/103803110

展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 1024 设计师: 上身试试
应支付0元
点击重新获取
扫码支付

支付成功即可阅读